function swindows = extract_s_windows_3_furkan_v2(I,maskI,fore_ratio,s,mag)

% extract s windows from an image and store the locations

Ilow = imresize(I,1/4);
% Ilow = downby4_3(I);

swindows = zeros(s,3);

for i = 1:s
	swindows(i,:) = extract_window_furkan(Ilow,maskI,fore_ratio,mag);
end

% function swindows = extract_s_windows(imstr,maskI,fore_ratio,s)
% 
% % extract s windows from an image and store the locations
% 
% Ilow = downby4(imstr);
% % I = double(imread(imstr));
% % Ilow = decimateby5(I);
% swindows = zeros(s,3);
% 
% for i = 1:s
% 	swindows(i,:) = extract_window(Ilow,maskI,fore_ratio);
% end
	
